%define drupaldir %{_datadir}/drupal6
Name: drupal6-cck
Version:  2.9
Release:  4%{?dist}
Summary:  Allows you to add custom fields to nodes using a web browser

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/cck
Source0: http://ftp.drupal.org/files/projects/cck-6.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6
Obsoletes: drupal-cck <= 6.x.2.9

%description
The Content Construction Kit allows you to add custom fields to custom 
content types using a web interface. In Drupal 5.x, custom content types 
can be created in Drupal core, and the Content Construction Kit allows 
you to add custom fields to any content type. In Drupal 7 and later, 
most of the functionality of CCK has been absorbed into Drupal core. 

%prep


%setup -qn cck
cp %{SOURCE1} .

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/cck
cp -pr * %{buildroot}%{drupaldir}/modules/cck

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt UPGRADE.txt DEVELOPER.txt CHANGELOG.txt
%exclude %{drupaldir}/modules/cck/*.txt
%{drupaldir}/modules/cck

%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jan 20 2011 Jon Ciesla <limb@jcomserv.net> - 2.9-1
- Updated version, corrected obsoletes.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 2.8-1
- Corrected version, license.

* Thu Jan 06 2011 Jon Ciesla <limb@jcomserv.net> - 6.x.2.8-3
- Additional review adjustments.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.8-2
- Fixed README naming.

* Mon Oct 04 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.8-1
- New upstream, DRUPAL-SA-CONTRIB-2010-088.

* Fri Jun 18 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.7-1
- New upstream, DRUPAL-SA-CONTRIB-2010-065.

* Tue Dec 01 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.6-1
- New upstream, BZ 541439.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Mar 19 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-1
- New upstream, fixes DRUPAL-SA-CONTRIB-2009-013.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.x.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 05 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-3
- New upstream, fixes DRUPAL-SA-2008-069.

* Tue Nov 04 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2.rc10
- New upstream.

* Wed Jul 30 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2.rc4
- Another %%doc fix.

* Tue Jul 29 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-1.rc4
- %%doc fix.

* Tue Jul 29 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.rc4
- Update to new release.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.beta
- Updated for Drupal 6.x.

* Tue Oct 30 2007 Jon Ciesla <limb@jcomserv.net> - 1.6-1
- Initial packaging.
